asn1-types-0.3.4: ASN.1 types

License | BSD-style
Maintainer | Vincent Hanquez <vincent@snarc.org>
Stability | experimental
Portability | unknown
Safe Haskell | None
Language | Haskell98

Data.ASN1.Pretty

Description

Synopsis

- pretty :: PrettyType -> [ASN1] -> String
- data PrettyType
  - = Multiline Int
  - | SingleLine

# Documentation

pretty Source #

Arguments

:: PrettyType | indent level in space character
-> [ASN1] | stream of ASN1
-> String |

Pretty Print a list of ASN.1 element

data PrettyType Source #

Constructors

Multiline Int |
SingleLine |

#### Instances

Instances details

Show PrettyType Source # |
Instance details Defined in Data.ASN1.Pretty Methods showsPrec :: Int -> PrettyType -> ShowS Source # show :: PrettyType -> String Source # showList :: [PrettyType] -> ShowS Source #
Eq PrettyType Source # |
Instance details Defined in Data.ASN1.Pretty Methods (==) :: PrettyType -> PrettyType -> Bool Source # (/=) :: PrettyType -> PrettyType -> Bool Source #